#!/bin/bash

if [ $# -lt 2 ]; then
  echo "Usage: $0 <version> <profiling>"
  echo "    version ... [1.2.0, 1.2.1, ...]"
  echo "    profiling ... [on, off]"
  exit 1
fi

VER=$1
PROF=$2

echo "check mpi version"
mpi-selector --query

echo
echo -n "if correct type 'yes': "
read yes
if [ "x$yes" != "xyes" ]; then
  echo "Exit."
  exit 1
fi


tar xzvf dplasma-$VER.tgz
cd dplasma-$VER

echo
pwd
echo

mkdir build

cd build
echo
pwd
echo

if [ "x$PROF" = "xon" ]; then
  echo "CC=icc CXX=icpc FC=ifort F77=ifort /opt/cmake/2.8.9/bin/cmake ../ -DBLAS_LIBRARIES="-L/opt/intel/mkl/lib/intel64 -lmkl_gf_lp64 -lmkl_sequential -lmkl_core" -DPLASMA_DIR=/opt/sw/plasma/2.6.0 -DDPLASMA_MPI=ON -DCOREBLAS_DIR=/opt/sw/plasma/2.6.0 -DCMAKE_INSTALL_PREFIX=/opt/sw/dplasma/${VER}_prof_trace/openmpi -DDAGUE_PROF_TRACE=ON"
  CC=icc CXX=icpc FC=ifort F77=ifort /opt/cmake/2.8.9/bin/cmake ../ -DBLAS_LIBRARIES="-L/opt/intel/mkl/lib/intel64 -lmkl_gf_lp64 -lmkl_sequential -lmkl_core" -DPLASMA_DIR=/opt/sw/plasma/2.6.0 -DDPLASMA_MPI=ON -DCOREBLAS_DIR=/opt/sw/plasma/2.6.0 -DCMAKE_INSTALL_PREFIX=/opt/sw/dplasma/${VER}_prof_trace/openmpi -DDAGUE_PROF_TRACE=ON
else
  echo "CC=icc CXX=icpc FC=ifort F77=ifort /opt/cmake/2.8.9/bin/cmake ../ -DBLAS_LIBRARIES="-L/opt/intel/mkl/lib/intel64 -lmkl_gf_lp64 -lmkl_sequential -lmkl_core" -DPLASMA_DIR=/opt/sw/plasma/2.6.0 -DDPLASMA_MPI=ON -DCOREBLAS_DIR=/opt/sw/plasma/2.6.0 -DCMAKE_INSTALL_PREFIX=/opt/sw/dplasma/${VER}_prof_trace/openmpi"
  CC=icc CXX=icpc FC=ifort F77=ifort /opt/cmake/2.8.9/bin/cmake ../ -DBLAS_LIBRARIES="-L/opt/intel/mkl/lib/intel64 -lmkl_gf_lp64 -lmkl_sequential -lmkl_core" -DPLASMA_DIR=/opt/sw/plasma/2.6.0 -DDPLASMA_MPI=ON -DCOREBLAS_DIR=/opt/sw/plasma/2.6.0 -DCMAKE_INSTALL_PREFIX=/opt/sw/dplasma/${VER}_prof_trace/openmpi
fi
make -j 4
make install
